Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
Problema com Flash no Lenny
20/05/2011, 16:08
Resposta: #1
Problema com Flash no Lenny
Amigos

Da mesma forma que estou com problemas com a impressora, nesta nova instalação do Lenny com KDE 3.5 estou penando com a internet. Antes eu navegava normalmente, mas nesta instalação, seja com o Konqueror, seja com o Iceweasel, as páginas (em sua maioria) carregam apenas pela metade. Só páginas muito simples carregam por completo. Por isso, desconfio do Flash. O problema é: onde está o pacote flashplugin-mozilla nos repositórios do Lenny? Pelo aptitude install, ele sempre me retorna uma resposta do tipo "nenhum pacote candidato".

Também tentei instalar o plugin direto do site da Adobe: baixei o arquivo .deb e instalei via dpkg -i. Em teoria instalou, mas deve ter dependência quebrada pelo meio... Nada parece ter funcionado, tudo continua carregando pela metade.

O que fazer?
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
20/05/2011, 19:52
Resposta: #2
RE: Problema com Flash no Lenny
Lenny? Sugiro que instale o Squeeze, mas se quiser continuar no Lenny e se o problema for mesmo no flash, esses passos irão resolver. Você terá que instalar e ativar o pacote flashplayer-mozilla, que se encontra no repositório "non-free" oficial:

Código:
# apt-get install flashplayer-mozilla
# /usr/sbin/update-alternatives --config flash-mozilla.so

Nesse segundo comando, selecione o flashplayer-mozilla.

"Vamos tirar a barriga, senhor Barba? Digo..."

Debian Jessie | Usuário #517613
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/05/2011, 23:35
Resposta: #3
RE: Problema com Flash no Lenny
renatov

Tentei instalar o Squeeze, mas não deu pois minha máquina é muito velha (Pentium III 700, 256 MB RAM). Nem com LXDE... Pelo jeito o Lenny é o fim da linha.

O problema é esse: tento baixar e o apt-get/aptitude não conseguem achar um pacote, nem flashplugin, nem flashplayer...
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/05/2011, 00:01
Resposta: #4
RE: Problema com Flash no Lenny
Por que não deu pra instalar o Squeeze, pelo desempenho ou pela incompatibilidade com algum hardware? Se for pelo desempenho, você pode fazer um netinst com o sistema básico (sem modo gráfico) e em seguida selecionar cuidadosamente o que você precisa. Dá pra inicializar o ambiente gráfico consumindo apenas 30 megas de ram, basta conhecer uns macetes:

http://www.vivaolinux.com.br/dica/Debian...-MB-de-RAM

O procedimento é pro Lenny, mas pode ser usado pro Squeeze. O que importa é a seleção de pacotes que o cara fez.

Sobre o problema de não encontrar o pacote, agora que me dei conta. O pacote flashplayer-mozilla do Lenny está nos repositórios do Debian Multimedia e provavelmente aí que reside o problema. Você terá que ajustar seu sources.list. Apaga o conteúdo atual dele e substitui por isso aqui, que já tem tudo que você precisa:

Código:
###### Debian Main Repos
deb http://ftp.br.debian.org/debian/ lenny main contrib non-free

###### Debian Update Repos
deb http://security.debian.org/ lenny/updates main contrib non-free
deb http://ftp.br.debian.org/debian/ lenny-proposed-updates main contrib non-free

#### Debian Multimedia - http://www.debian-multimedia.org/
deb http://www.debian-multimedia.org oldstable main

Feito isso, rode esse comando:

Código:
# apt-get update && apt-get install debian-multimedia-keyring && apt-get update

Depois disso, pode tentar instalar o pacote que mencionei, seguido pelo procedimento que apontei no post anterior.

"Vamos tirar a barriga, senhor Barba? Digo..."

Debian Jessie | Usuário #517613
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/05/2011, 16:06
Resposta: #5
RE: Problema com Flash no Lenny
Já que a sua maquina não é tão potente como tu fala, é só baixar o debian squeeze com lxde e pronto, funcionará tranquilamente no seu pc, aqui uso constantemente num p4 com 256 de memória, é só não abrir mais de 2 janelas no seu navegador e beleza.
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
22/05/2011, 23:45
Resposta: #6
RE: Problema com Flash no Lenny
Hmmmm... Então pelo jeito mudou... Numas dicas que eu tinha pegado do GdH, a linha não tinha o "oldstable main":

deb http://www.debian-multimedia.org oldstable main

Ela mudou com o lançamento oficial do Squeeze? É assim que funciona? Sempre que sai uma versão vc tem que alterar as linhas do sources.list?

--------------------

Renatov e Draggon, o Squeeze não deu certo porque, na hora de iniciar o X, ele trava tudo. Foi a instalação com o LXDE: instalou normal, mas, na hora de iniciar o X acontece isso, tem de resetar no botão mesmo. Provavelmente ele tenta jogar uma resolução muito grande que minha placa de vídeo (Diamond Viper 550 - 16 MB - usa drivers NVidia) e meu monitor (LG Studioworks 560N - CRT) não suportam...
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
23/05/2011, 00:23
Resposta: #7
RE: Problema com Flash no Lenny
Citar:Ela mudou com o lançamento oficial do Squeeze? É assim que funciona? Sempre que sai uma versão vc tem que alterar as linhas do sources.list?

Exato, antes o Lenny era referenciado como stable. Com o lançamento do Squeeze como o novo stable, o Lenny passa a ser referenciado como oldstable. O guia de referência que você encontrou no GdH não está errado, apenas está desatualizado. Depois posta aqui se deu certo.


Citar:Renatov e Draggon, o Squeeze não deu certo porque, na hora de iniciar o X, ele trava tudo. Foi a instalação com o LXDE: instalou normal, mas, na hora de iniciar o X acontece isso, tem de resetar no botão mesmo. Provavelmente ele tenta jogar uma resolução muito grande que minha placa de vídeo (Diamond Viper 550 - 16 MB - usa drivers NVidia) e meu monitor (LG Studioworks 560N - CRT) não suportam...

Se o problema de fato foi a resolução, basta entrar em modo texto e configurar o arquivo xorg.conf para uma resolução adequada a sua placa. Mas pode ter sido algum outro problema também, como questão de driver... o Squeeze vem sem firmware proprietário, por padrão. A menos que você faça um netinst com uma imagem personalizada que contenha esses firmwares.

"Vamos tirar a barriga, senhor Barba? Digo..."

Debian Jessie | Usuário #517613
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
23/05/2011, 12:29
Resposta: #8
RE: Problema com Flash no Lenny
Obrigado pelos esclarecimentos, renatov...

Dá pra editar esse xorg.conf? Porque, acho que desde o Lenny, ele simplesmente não existe! O X não está se pautando por outro arquivo não?

E não daria pra instalar, em vez do Xorg, o tal de Xvesa? Se sim, como eu faria?
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
23/05/2011, 14:44
Resposta: #9
RE: Problema com Flash no Lenny
Pra instalar o Xvesa é só seguir o procedimento do tutorial que eu te passei. Sobre o arquivo xorg.conf, às vezes ele não é gerado durante a instalação mesmo. Pra criar ele, basta rodar esses comandos:

Código:
# Xorg -configure
# mv /root/xorg.conf.new /etc/X11/xorg.conf

"Vamos tirar a barriga, senhor Barba? Digo..."

Debian Jessie | Usuário #517613
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS